GreatWksTextInternal::Token Struct Reference

Internal and low level: structure which stores a token for GreatWksText. More...

## Public Member Functions

| Token ()
| constructor
std::string | getDTFormat () const
| returns a field format
bool | sendTo (MWAWListener &listener) const
| try to send the token to the listener

## Public Attributes

int | m_type
| the token type
int | m_format
| the token format
MWAWEntry | m_pictEntry
| the picture entry
long | m_dataSize
| the picture data size
MWAWVec2f | m_dim
| the picture dimension
uint32_t | m_date
| the token date (0xFFFFFFFF means actual date)
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<<

## Detailed Description

Internal and low level: structure which stores a token for GreatWksText.

## Constructor & Destructor Documentation

## Token()

GreatWksTextInternal::Token::Token | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getDTFormat()

std::string GreatWksTextInternal::Token::getDTFormat | ( |  | ) | const

returns a field format

Referenced by operator<<, and sendTo().

## sendTo()

bool GreatWksTextInternal::Token::sendTo | ( | MWAWListener & | listener | ) | const

try to send the token to the listener

Referenced by GreatWksText::sendZone().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn )

friend

operator<<

## Member Data Documentation

## m_dataSize

long GreatWksTextInternal::Token::m_dataSize

the picture data size

Referenced by operator<<, GreatWksText::readToken(), and Token().

## m_date

uint32_t GreatWksTextInternal::Token::m_date

the token date (0xFFFFFFFF means actual date)

Referenced by operator<<, GreatWksText::readToken(), and Token().

## m_dim

MWAWVec2f GreatWksTextInternal::Token::m_dim

the picture dimension

Referenced by operator<<, GreatWksText::readToken(), GreatWksText::sendZone(), and Token().

## m_extra

std::string GreatWksTextInternal::Token::m_extra

extra data

Referenced by operator<<, GreatWksText::readToken(), and Token().

## m_format

int GreatWksTextInternal::Token::m_format

the token format

Referenced by getDTFormat(), operator<<, GreatWksText::readToken(), sendTo(), and Token().

## m_pictEntry

MWAWEntry GreatWksTextInternal::Token::m_pictEntry

the picture entry

Referenced by GreatWksText::sendZone(), and Token().

## m_type

int GreatWksTextInternal::Token::m_type

the token type

Referenced by getDTFormat(), operator<<, GreatWksText::readToken(), sendTo(), GreatWksText::sendZone(), and Token().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx